glib-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object GLib.IWrapper System.Collections.ICollection System.ICloneable System.IDisposable Base class for GList and GSList.
- Method
  2.12.0.0
  System.Void `` an object of type Appends an element to the end of the list.
- Method
  2.12.0.0
  System.Void `` An item to be appended to the list. Appends an item to the List.
- Method
  2.12.0.0
  System.Void `` an object of type Appends an element to the end of the list. This is a convenience overload to append a to the end of a list.
- Method
  2.12.0.0
  System.Object Clones the list. a copy of the list as an . Produces a copy of the list.
- Method
  2.12.0.0
  System.Void `` `` an to copy to. the index to start copying at in . Copies the list to a typed array.
- Property
  2.12.0.0
  System.Int32 The number of elements in the list. the number of elements in the list as an
- Method
  2.12.0.0
  System.Void Disposes the list. If is set, this frees the native list.
- Method
  2.12.0.0
  System.Void `` a Disposes the list. If the property is set, the underlying native list is freed.
- Field
  2.12.0.0
  System.Type The of the elements of the list. subclasses are handled automatically, so it is not necessary to set this field for lists of .
- Method
  2.12.0.0
  System.Void Empties the list. Empties, and frees the list, as well as all of its children
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Collections.IEnumerator Gets an to enumerate the list elements. a
- Property
  2.12.0.0
  System.IntPtr A raw list reference for marshaling situations. an object of type
- Property
  2.12.0.0
  System.Boolean Indicates if the list is synchronized. always Always returns false.
- Property
  2.12.0.0
  System.Object `` a representing the 0 indexed offset to the member. Indexer for list members. the list member at as an .
- Property
  2.12.0.0
  System.Obsolete("Replaced by owned parameter on ctor.")
  System.Boolean Indicates if the native handle is owned by the Managed list class. an object of type Identifies the list as one that needs to be freed. Only set this to true if you want the object to release the associated native list when it is disposed.
- Method
  2.12.0.0
  System.Void `` an object of type Prepends an element to the front of the list. This is faster than .
- Property
  2.12.0.0
  System.Object Synchronization root. always Always returns since this type is never synchronized.